CHI::CacheObject(3)

NAME
CHI::CacheObject - Contains information about cache entries

VERSION
version 0.61

SYNOPSIS
    my $object = $cache->get_object($key);

    my $key        = $object->key();
    my $value      = $object->value();
    my $expires_at = $object->expires_at();
    my $created_at = $object->created_at();

    if ($object->is_expired()) { ... }

DESCRIPTION
The CHI method returns this object if the key exists. The object will be returned even if the entry has expired, as long as it has not been removed.

There is currently no public API for creating one of these objects directly.

METHODS
All methods are read-only. The get_* methods are provided for backward compatibility with Cache::Cache's Cache::Object.

key The key.

value
    The value.

expires_at
get_expires_at
    Epoch time at which item expires.

created_at
get_created_at
    Epoch time at which item was last written to.

is_expired
    Returns boolean indicating whether item has expired. This may be probabilistically determined if an "expires_variance" was used.

SEE ALSO
CHI

AUTHOR
Jonathan Swartz <swartz@pobox.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2021 by Jonathan Swartz.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.